SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
build-type: config-file
content: |
  #
  # BSP specific settings. To be included in application Makefiles
  #
  # This support will be removed from RTEMS. Please consider other
  # ways to build applications.
  #

  RTEMS_API = ${__RTEMS_MAJOR__}

  RTEMS_CPU = ${ARCH}
  RTEMS_BSP = ${BSP_NAME}

  prefix = ${PREFIX}
  exec_prefix = $${prefix}/${ARCH}-rtems${__RTEMS_MAJOR__}

  CC_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-gcc
  CXX_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-g++
  AS_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-as
  AR_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-ar
  NM_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-nm
  LD_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-ld
  SIZE_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-size
  OBJCOPY_FOR_TARGET = ${ARCH}-rtems${__RTEMS_MAJOR__}-objcopy

  CC= $$(CC_FOR_TARGET)
  CXX= $$(CXX_FOR_TARGET)
  AS= $$(AS_FOR_TARGET)
  LD= $$(LD_FOR_TARGET)
  NM= $$(NM_FOR_TARGET)
  AR= $$(AR_FOR_TARGET)
  SIZE= $$(SIZE_FOR_TARGET)
  OBJCOPY= $$(OBJCOPY_FOR_TARGET)

  export CC
  export CXX
  export AS
  export LD
  export NM
  export AR
  export SIZE
  export OBJCOPY

  RTEMS_ROOT  ?= $$(prefix)
  PROJECT_ROOT = $$(RTEMS_ROOT)
  RTEMS_CUSTOM = $$(RTEMS_ROOT)/make/custom/$$(RTEMS_BSP).cfg
  RTEMS_SHARE  = $$(RTEMS_ROOT)/share/rtems$$(RTEMS_API)

  RTEMS_USE_OWN_PDIR = no
  RTEMS_HAS_POSIX_API = ${RTEMS_HAS_POSIX_API}
  RTEMS_HAS_ITRON_API = no
  RTEMS_HAS_CPLUSPLUS = yes

  export RTEMS_BSP
  export RTEMS_CUSTOM
  export PROJECT_ROOT
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
install-path: ${PREFIX}/${ARCH}-rtems${__RTEMS_MAJOR__}/${BSP_NAME}
links: []
target: Makefile.inc
type: build
